%global pypi_name websockets

%ifarch %{ix86} x86_64
%bcond_without tests
%endif

Name:           python-%{pypi_name}
Version:        12.0
Release:        %mkrel 2
Summary:        Implementation of the WebSocket Protocol for Python
Group:          Development/Python
License:        BSD
URL:            https://github.com/aaugustin/websockets
Source0:        %{url}/archive/%{version}/%{pypi_name}-%{version}.tar.gz
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel

%global _description %{expand:
websockets is a library for developing WebSocket servers and clients in
Python. It implements RFC 6455 with a focus on correctness and simplicity. It
passes the Autobahn Testsuite.

Built on top of Python’s asynchronous I/O support introduced in PEP 3156, it
provides an API based on coroutines, making it easy to write highly concurrent
applications.}

%description %{_description}

%package -n     python3-%{pypi_name}
Summary:        %{summary}
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name} %{_description}

%prep
%autosetup -n %{pypi_name}-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires %{?with_tests:-t}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files websockets

%check
%if %{with tests}
%tox
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst


%changelog
* Wed Dec 20 2023 tv <tv> 12.0-2.mga10
+ Revision: 2020305
- Rebuild for python 3.12
+ wally <wally>
- new version 12.0

* Sun Jan 15 2023 guillomovitch <guillomovitch> 10.4-1.mga9
+ Revision: 1933173
- new version 10.4

* Thu Sep 08 2022 neoclust <neoclust> 10.3-1.mga9
+ Revision: 1885753
- New version  10.3

* Sat Mar 19 2022 umeabot <umeabot> 8.1-4.mga9
+ Revision: 1799174
- Mageia 9 Mass Rebuild

* Thu Feb 17 2022 tv <tv> 8.1-3.mga9
+ Revision: 1778572
- Rebuild for python-3.10

* Tue Mar 23 2021 daviddavid <daviddavid> 8.1-2.mga9
+ Revision: 1708066
- rebuild for python 3.9

* Fri Jan 15 2021 pterjan <pterjan> 8.1-1.mga8
+ Revision: 1671905
- Mageiaize
- imported package python-websockets

